# EditorPlus
EditorPlus is a plugin for Piwigo. This plugin add a WYSIWYG editor to a set of defined textareas.

![GitHub package.json version (branch)](https://img.shields.io/github/package-json/v/LintyDev/piwigo-editorplus/main?label=editorplus) ![Static Badge](https://img.shields.io/badge/v14.1.0-pwg?label=piwigo) ![GitHub issues](https://img.shields.io/github/issues/LintyDev/piwigo-editorplus?color=yellow)

## Summary
- [Installation](#installation)
  - [For Users](#for-users)
  - [For Developers](#for-developers)
- [Features](#features)
- [How It Works](#how-it-works)
- [License](#license)

## Installation
### For Users
1. **Download the Latest Release**:
   - Go to the [Releases page](https://github.com/LintyDev/piwigo-editorplus/releases) of the EditorPlus GitHub repository.
   - Download the latest release's ZIP file.
2. **Installation**:
   - Unzip the downloaded file.
   - Upload the extracted folder to your Piwigo gallery's `plugins` directory. The path should look like `your-gallery/plugins/EditorPlus`.
3. **Activate the Plugin**:
   - Log in to your Piwigo dashboard.
   - Go to the `Plugins` section.
   - Find `EditorPlus` in the list and activate it.

### For Developers
1. **Clone the Repository**:
   - Clone the EditorPlus repository to your local machine using:
     ```git clone https://github.com/LintyDev/piwigo-editorplus.git```
2. **Install Dependencies**:
   - Navigate to the cloned directory and run:
     ```npm install```
3. **Development and Contributions**:
   - Make your changes or improvements to the code.
   - Test your changes thoroughly.
   - Feel free to submit a pull request if you wish to contribute your changes back to the project.

## Features
- **WYSIWYG Editor**: Integrate a What You See Is What You Get editor into your Piwigo gallery, enhancing the user experience for content creation and editing.
- **Powered by Quill V2**: Utilizes the latest version of Quill, a powerful and modern rich text editor, ensuring a smooth and feature-rich editing experience.
- **Customizable Toolbars**: Tailor the editor toolbars to fit the specific needs of your piwigo, choosing from a variety of formatting options.
- **Easy Integration**: Seamlessly integrates with Piwigo, allowing for a quick and hassle-free setup.
- **Extensible**: Built to be extensible, enabling further customization and extension of functionality as needed.

## How It Works
Get a quick overview of how to configure and use EditorPlus in your Piwigo gallery. The following animated GIF demonstrates the process of adding and removing items in the Quill editor:

![Configuration of EditorPlus](https://i.ibb.co/r7mcz9P/helper-clear.gif)

This visual guide should help you easily understand how to customize the WYSIWYG editor for your needs.

## License
* MIT Licence